Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.parameter
Class TzId

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Parameter
              net.fortuna.ical4j.model.parameter.TzId

All Implemented Interfaces:
  Serializable, Escapable

    public class TzId

extends Parameter
implements Escapable

Defines a Time Zone Identifier parameter.

Author:
  benfortuna
See Also:
  Serialized Form

Field Summary
`static String` | `PREFIX`

Fields inherited from class net.fortuna.ical4j.model.Parameter
`ALTREP, CN, CUTYPE, DELEGATED_FROM, DELEGATED_TO, DIR, ENCODING, EXPERIMENTAL_PREFIX, FBTYPE, FMTTYPE, LANGUAGE, MEMBER, PARTSTAT, RANGE, RELATED, RELTYPE, ROLE, RSVP, SENT_BY, TZID, VALUE`

Constructor Summary
`TzId(String aValue)`

Method Summary
`String` | `getValue()`

Methods inherited from class net.fortuna.ical4j.model.Parameter
`equals, getName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### TzId

    public TzId(String aValue)

Parameters:
  `aValue` - a string representation of a time zone identifier

Method Detail

### getValue

    public final String getValue()

  Specified by:
    `getValue` in class `Parameter`
  Returns:
    Returns the value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.